'use strict';

var loaderUtils = require('loader-utils');
var shared = require('@plugin-light/shared');
var sharedVue2 = require('@plugin-light/shared-vue2');

function injectDynamicStyleWeb(source) {
    if (!sharedVue2.shouldUseLoader.call(this, [shared.PLATFORM_MAP.H5]))
        return source;
    const options = loaderUtils.getOptions(this) || {};
    const { topElement = 'body' } = options;
    const dir = this.context;
    const componentName = shared.getComponentName(dir);
    if (!componentName) {
        return source;
    }
    const styleList = shared.getStyleList(dir);
    const injectContent = shared.genInjectContent({
        styleList,
        componentName,
        topElement,
        dir: '',
    });
    return `${source}\n${injectContent}`;
}

module.exports = injectDynamicStyleWeb;
